## org.apache.cocoon.processor.xsp.language
Interface XSPLanguageProcessor

All Known Implementing Classes:
  XSPJavaProcessor

public interface XSPLanguageProcessor

Version:
  $Revision: 1.6 $ $Date: 2000/10/24 02:20:39 $
Author:
  Ricardo Rocha

Method Summary
`void` `compile(java.lang.String filename)`
`java.lang.String` `formatCode(java.lang.String code)`
`java.lang.String` `getObjectExtension()`
`java.lang.String` `getSourceExtension()`
`XSPPage` `load(java.lang.String filename)`
`void` `setClassPath(java.lang.String classpath)`
`void` `setEncoding(java.lang.String encoding)`
`void` `setFormatOption(boolean format)`
`void` `setRepository(java.io.File repository)`
`java.lang.String` `stringEncode(java.lang.String string)`
`void` `unload(XSPPage page)`

Method Detail

### getSourceExtension

    public java.lang.String getSourceExtension()

### getObjectExtension

    public java.lang.String getObjectExtension()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setRepository

    public void setRepository(java.io.File repository)
                       throws java.lang.Exception

### setFormatOption

    public void setFormatOption(boolean format)

### formatCode

    public java.lang.String formatCode(java.lang.String code)
                                throws java.lang.Exception

### setClassPath

    public void setClassPath(java.lang.String classpath)

### compile

    public void compile(java.lang.String filename)
                 throws java.lang.Exception

### load

    public XSPPage load(java.lang.String filename)
                 throws java.lang.Exception

### unload

    public void unload(XSPPage page)
                throws java.lang.Exception

### stringEncode

    public java.lang.String stringEncode(java.lang.String string)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.